<?php
/*
 * LernfunkDB.class.php
 *
 * communication with the database
 *
 * Copyright (C) 2009 - Till Gloeggler <tgloeggl@uos.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 */

class LernfunkDB {
	function storeWebserviceInfo($req_data) {
		// save the configuration to the database
		$stmt = DBManager::get()->prepare("REPLACE INTO lernfunk (config_id, webservice_url, api_key, lms_id) VALUES (1, ?, ?, ?)");
		$stmt->execute(array(trim($req_data['webservice_url']), $req_data['api_key'], $req_data['lms_id']));

	}

	function getWebserviceInfo() {
		// get configuration from database
		$stmt = DBManager::get()->query("SELECT * FROM lernfunk WHERE config_id = '1'");
		return $stmt->fetch(PDO::FETCH_ASSOC);
	}
}
